/*****************************************************************************
 *                                                                          
 * This software module was developed by 
 *
 *   Weiping Li (Optivision, Inc.) and
 *   Fan Ling (General Instrument)
 *
 * in the course of development of the MPEG-4 Video (ISO/IEC 14496-2) standard.
 * This software module is an implementation of a part of one or more MPEG-4 
 * Video (ISO/IEC 14496-2) tools as specified by the MPEG-4 Video (ISO/IEC 
 * 14496-2) standard. 
 *
 * ISO/IEC gives users of the MPEG-4 Video (ISO/IEC 14496-2) standard free 
 * license to this software module or modifications thereof for use in hardware
 * or software products claiming conformance to the MPEG-4 Video (ISO/IEC 
 * 14496-2) standard. 
 *
 * Those intending to use this software module in hardware or software products
 * are advised that its use may infringe existing patents. The original 
 * developer of this software module and his/her company, the subsequent 
 * editors and their companies, and ISO/IEC have no liability for use of this 
 * software module or modifications thereof in an implementation. Copyright is 
 * not released for non MPEG-4 Video (ISO/IEC 14496-2) Standard conforming 
 * products. 
 *
 * ACTS-MoMuSys partners retain full right to use the code for his/her own 
 * purpose, assign or donate the code to a third party and to inhibit third 
 * parties from using the code for non MPEG-4 Video (ISO/IEC 14496-2) Standard
 * conforming products. This copyright notice must be included in all copies or
 * derivative works. 
 *
 * Copyright (c) 1997
 *
 *****************************************************************************/

/*
 * vlcbp.h
 *
 * VLC tables for scalable bit-plane coding
 *
 */

#ifndef VLCBP_H
#define VLCBP_H

static table_symbol[4][3] = {
{ 36,  40,  0},
{ 28,  36,  1},
{ 24,  27,  1},
{ 17,  18,  1},
};

static table_bpc[4][154] = {
{
       1, 2,
       5, 3,
      13, 4,
       1, 4,
      30, 5,
      19, 5,
      51, 6,
      58, 6,
      34, 6,
      37, 6,
     115, 7,
       1, 7,
     237, 8,
     143, 8,
     389, 9,
     476, 9,
       1, 9,
      17, 9,
      16, 9,
     770,10,
      19, 9,
     570,10,
    1563,11,
    1910,11,
    1138,11,
    3788,12,
       1,12,
    2284,12,
    4558,13,
    4559,13,
       1,14,
    7320,13,
    7322,13,
    7323,13,
    7321,13,
       1,13,
       1, 3,
      31, 5,
      16, 5,
      56, 6,
       3, 6,
       1, 6,
      98, 7,
     100, 7,
     101, 7,
      36, 6,
      99, 7,
      70, 7,
       5, 7,
     193, 8,
     229, 8,
       1, 8,
     384, 9,
     391, 9,
     456, 9,
     388, 9,
     239, 8,
     472, 9,
      18, 9,
     780,10,
     771,10,
     954,10,
    1562,11,
    1828,11,
       2,11,
       3,11,
    1143,11,
    1895,11,
    1831,11,
    1911,11,
    1829,11,
     568,10,
       1,11,
    3789,12,
    2285,12,
    2278,12,
     946,10},
{
       1, 2,
       2, 2,
       7, 3,
       2, 4,
      12, 4,
       2, 5,
      26, 5,
      14, 6,
       1, 6,
      24, 7,
      15, 7,
     108, 7,
      29, 8,
       3, 8,
      48, 9,
     207,10,
       3,10,
       9,10,
     409,11,
     411,11,
       1,11,
     816,12,
      41,12,
    3568,12,
    1635,13,
      93,13,
    7138,13,
       1,15,
      13, 6,
       3, 6,
      31, 7,
      13, 7,
       4, 7,
       5, 7,
     109, 7,
      50, 8,
      60, 8,
      61, 8,
      28, 8,
      25, 8,
       1, 8,
     222, 8,
      49, 9,
     206,10,
       2,10,
       1,10,
       8,10,
     893,10,
     895,10,
     410,11,
      22,11,
    1788,11,
      21,11,
    1785,11,
       1,12,
      47,12,
       1,13,
      81,13,
      92,13,
      80,13,
    7139,13,
       1,14,
    3268,14,
    3269,14,
     110, 7,
    1789,11},
{
       1, 1,
       2, 3,
       1, 3,
       7, 4,
      12, 5,
       1, 5,
      27, 6,
       5, 6,
      52, 7,
      14, 7,
       5, 8,
      25, 8,
       8, 9,
     431,10,
       1,10,
      37,11,
    1723,12,
      72,12,
    3441,13,
    3436,13,
    3438,13,
     966,13,
    6880,14,
       1,15,
       4, 6,
       1, 7,
      13, 7,
     106, 8,
       6, 8,
       1, 8,
      31, 8,
      24, 8,
      15, 9,
      14, 9,
       1, 9,
      61, 9,
     428,10,
      19,10,
     121,10,
       1,11,
    1722,12,
    1721,12,
      73,12,
       1,12,
     482,12,
    3437,13,
    3439,13,
       1,13,
     967,13,
    6881,14,
       1,14,
     858,11,
     240,11},
{
       1, 1,
       1, 2,
       1, 3,
       2, 5,
       1, 5,
       1, 6,
      12, 7,
      29, 8,
      57, 9,
       3, 9,
       2,10,
     212,11,
      10,11,
       1,12,
      30,13,
      45,13,
       3,14,
      15, 7,
       1, 7,
      27, 8,
      56, 9,
      52, 9,
     107,10,
       1,10,
       4,10,
       6,11,
       1,11,
     427,12,
      14,12,
      23,12,
      31,13,
      44,13,
       1,14,
       2,14,
       1,15,
       1,16,
     426,12}
};

#endif
