/*****************************************************************************
 *                                                                          
 * This software module was developed by 
 *
 *   Weiping Li (Optivision, Inc.) and
 *   Fan Ling (General Instrument)
 *
 * in the course of development of the MPEG-4 Video (ISO/IEC 14496-2) standard.
 * This software module is an implementation of a part of one or more MPEG-4 
 * Video (ISO/IEC 14496-2) tools as specified by the MPEG-4 Video (ISO/IEC 
 * 14496-2) standard. 
 *
 * ISO/IEC gives users of the MPEG-4 Video (ISO/IEC 14496-2) standard free 
 * license to this software module or modifications thereof for use in hardware
 * or software products claiming conformance to the MPEG-4 Video (ISO/IEC 
 * 14496-2) standard. 
 *
 * Those intending to use this software module in hardware or software products
 * are advised that its use may infringe existing patents. The original 
 * developer of this software module and his/her company, the subsequent 
 * editors and their companies, and ISO/IEC have no liability for use of this 
 * software module or modifications thereof in an implementation. Copyright is 
 * not released for non MPEG-4 Video (ISO/IEC 14496-2) Standard conforming 
 * products. 
 *
 * ACTS-MoMuSys partners retain full right to use the code for his/her own 
 * purpose, assign or donate the code to a third party and to inhibit third 
 * parties from using the code for non MPEG-4 Video (ISO/IEC 14496-2) Standard
 * conforming products. This copyright notice must be included in all copies or
 * derivative works. 
 *
 * Copyright (c) 1997
 *
 *****************************************************************************/

/*
 * vlcbp4fw.h
 *
 * VLC tables for scalable bit-plane coding with frequency weighting
 *
 */

#ifndef VLCBP4FW_H
#define VLCBP4FW_H

Int table_symbol4fw_h[4][3] = {
{ 4,  6,  0},
{ 11,  12,  1},
{ 17,  22,  1},
{ 23,  29,  1},
};

Int table_bpc4fw_h[4][108] = {
{
       1, 2,
       1, 5,
       3, 7,
       1, 9,
       1, 1,
       1, 3,
       1, 4,
       2, 7,
       3, 8,
       1, 8,
       2, 8},
{
       2, 2,
       3, 3,
       1, 4,
      49, 6,
       2, 6,
       2, 8,
       8, 9,
       3, 9,
       2, 9,
       2,10,
       1,11,
       7, 3,
       1, 3,
      13, 4,
      25, 5,
      48, 6,
       3, 6,
       5, 8,
       9, 9,
       7, 9,
       6, 9,
       3,10,
       1,10,
       2, 3,
       3, 7},
{
       2, 2,
       1, 2,
      12, 4,
      26, 5,
       1, 5,
       1, 6,
     125, 7,
     243, 8,
      30, 8,
       1, 8,
     496, 9,
       4, 9,
     960,10,
     997,10,
      10,10,
    1926,11,
    1992,11,
       1, 3,
      14, 4,
      27, 5,
       2, 5,
      63, 6,
       6, 6,
      14, 7,
     241, 8,
      31, 8,
       3, 8,
     497, 9,
     499, 9,
       1, 9,
     961,10,
     962,10,
       1,10,
    1927,11,
    1993,11,
      23,11,
      22,11,
       1,11,
       1,12,
      61, 6,
     242, 8},
{
       1, 2,
       2, 2,
       6, 3,
       1, 4,
       7, 5,
      12, 6,
       9, 6,
      59, 6,
       3, 7,
      55, 8,
       3, 8,
     235, 8,
       1, 9,
     466, 9,
       1,10,
     930,10,
       1,11,
    1871,11,
      27,12,
       1,12,
     195,12,
    3725,12,
       1,13,
      15, 4,
       5, 5,
      28, 5,
       8, 6,
       2, 6,
      26, 7,
       7, 7,
      54, 8,
       2, 8,
      13, 8,
     234, 8,
       2, 9,
      11, 9,
      25, 9,
     464, 9,
     934,10,
      12,11,
      15,11,
      96,11,
      98,11,
    1870,11,
      99,11,
    1863,11,
      29,12,
      26,12,
      28,12,
     194,12,
    3724,12,
       1,14,
       4, 8,
      10, 9}
};

Int table_symbol4fw_m[4][3] = {
{ 21,  26,  0},
{ 25,  33,  1},
{ 26,  33,  1},
{ 24,  30,  1},
};

Int table_bpc4fw_m[4][122] = {
{
       2, 2,
       6, 4,
      14, 5,
      30, 6,
      23, 6,
       3, 6,
       6, 6,
      42, 7,
      40, 7,
       1, 7,
     127, 8,
      89, 8,
      23, 8,
     248, 9,
     173, 9,
       1, 9,
     499,10,
     498,10,
     350,10,
     365,10,
       1,11,
       3, 2,
       1, 3,
       4, 4,
       4, 6,
      41, 7,
       2, 7,
      10, 7,
      14, 7,
      15, 7,
     125, 8,
     126, 8,
      88, 8,
       1, 8,
       6, 8,
      22, 8,
     172, 9,
     183, 9,
     174, 9,
     181, 9,
     180, 9,
      14, 9,
     351,10,
      31,10,
       1,10,
      30,10,
     364,10,
       2, 6},
{
       1, 2,
       1, 3,
       4, 3,
      13, 4,
       1, 5,
      28, 5,
       6, 6,
       1, 6,
      49, 6,
      15, 7,
     119, 7,
      82, 7,
     233, 8,
     194, 8,
      56, 9,
     391, 9,
     340, 9,
       3,10,
     951,10,
     781,10,
     698,10,
       1,11,
    1561,11,
    1367,11,
     458,12,
      15, 4,
       2, 5,
      25, 5,
      40, 6,
       1, 7,
     117, 7,
      84, 7,
      86, 7,
      83, 7,
      29, 8,
       1, 8,
     232, 8,
     236, 8,
     192, 8,
     175, 8,
     474, 9,
     343, 9,
     342, 9,
     348, 9,
       2,10,
       1,10,
     950,10,
     682,10,
     699,10,
     228,11,
     230,11,
    1560,11,
    1366,11,
     459,12,
     463,12,
     462,12,
       1,12,
       1,13,
      11, 4,
     193, 8},
{
       1, 2,
       2, 2,
       6, 3,
       1, 4,
      14, 4,
       5, 5,
      30, 5,
       1, 6,
      63, 6,
       1, 7,
      26, 7,
      12, 8,
      50, 8,
      18, 9,
     109, 9,
      39,10,
       1,10,
      95,11,
       4,11,
       1,11,
     432,11,
     251,12,
     594,12,
     378,13,
     306,13,
       1,14,
       7, 5,
       8, 6,
      62, 6,
      19, 7,
      24, 7,
      10, 8,
      14, 8,
      13, 8,
       1, 8,
      36, 8,
      51, 8,
      55, 8,
      22, 9,
      30, 9,
      75, 9,
      63,10,
       3,10,
     149,10,
     217,10,
      77,11,
     124,11,
       5,11,
     296,11,
     433,11,
     188,12,
     152,12,
       1,12,
     595,12,
     379,13,
     307,13,
     501,13,
     500,13,
       1,13,
       8, 8,
      46,10},
{
       1, 1,
       1, 3,
       2, 3,
       1, 4,
       1, 5,
      15, 5,
       1, 6,
      28, 6,
      52, 7,
      58, 7,
     111, 8,
     119, 8,
     221, 9,
       9,10,
     434,10,
       1,11,
     822,11,
      33,12,
    1740,12,
    1650,12,
      68,13,
    3486,13,
     138,14,
       1,14,
      24, 6,
      53, 7,
      50, 7,
       3, 8,
       1, 8,
     109, 8,
     118, 8,
       5, 9,
     220, 9,
     216, 9,
     204, 9,
     207, 9,
       1,10,
       3,10,
     410,10,
       5,11,
     823,11,
     824,11,
      35,12,
       1,12,
    1742,12,
    1741,12,
    1651,12,
      65,13,
       1,13,
    3487,13,
     139,14,
     129,14,
     128,14,
       1,15,
       4,11,
     413,10}
};

#endif
