/*****************************************************************************
 *
 * This software module was originally developed by
 *
 *   Paulo Nunes (IST / ACTS-MoMuSyS)
 *
 * and edited by
 * 
 *   Robert Danielsen (Telenor / ACTS-MoMuSyS)
 *
 * in the course of development of the MPEG-4 Video (ISO/IEC 14496-2) standard.
 * This software module is an implementation of a part of one or more MPEG-4
 * Video (ISO/IEC 14496-2) tools as specified by the MPEG-4 Video (ISO/IEC
 * 14496-2) standard.
 *
 * ISO/IEC gives users of the MPEG-4 Video (ISO/IEC 14496-2) standard free
 * license to this software module or modifications thereof for use in hardware
 * or software products claiming conformance to the MPEG-4 Video (ISO/IEC
 * 14496-2) standard.
 *
 * Those intending to use this software module in hardware or software products
 * are advised that its use may infringe existing patents. The original
 * developer of this software module and his/her company, the subsequent
 * editors and their companies, and ISO/IEC have no liability for use of this
 * software module or modifications thereof in an implementation. Copyright is
 * not released for non MPEG-4 Video (ISO/IEC 14496-2) Standard conforming
 * products.
 *
 * ACTS-MoMuSys partners retain full right to use the code for his/her own
 * purpose, assign or donate the code to a third party and to inhibit third
 * parties from using the code for non MPEG-4 Video (ISO/IEC 14496-2) Standard
 * conforming products. This copyright notice must be included in all copies or
 * derivative works.
 *
 * Copyright (c) 1996
 *
 *****************************************************************************/


/***********************************************************HeaderBegin*******
 *                                                                         
 * File:	vm_vlc_dec_tab_studio.h
 *
 * Author:	Paulo Nunes (IST) - Paulo.Nunes@it.ist.utl.pt
 * Created:	1-Mar-96
 *                                                                         
 * Description: This file contains the VLC tables for module which deals
 *		with VLC decoding. 
 *
 * Notes: 	This file was created based on tmndecode
 * 		Written by Karl Olav Lillevold <kol@nta.no>,
 *		1995 Telenor R&D.
 * 		Donated to the Momusys-project as background code by
 *		Telenor. 
 *
 *		based on mpeg2decode, (C) 1994, MPEG Software Simulation Group
 *		and mpeg2play, (C) 1994 Stefan Eckart
 *                         <stefan@lis.e-technik.tu-muenchen.de>
 *
 *
 * Modified:	 9-May-96 Paulo Nunes: Reformatted. New headers.
 *		14-May-96 Paulo Nunes: Changed TMNMVtabs according to VM2.1.
 *	04.11.96 Robert Danielsen: Added three new tables for coding
 *			of Intra luminance coefficients (VM 4.0)
 *      01.05.97 Luis Ducla-Soares: added VM7.0 Reversible VLC tables (RVLC).
 *      13.05.97 Minhua Zhou: added VlC tables for CBPYtab2 CBPYtab3,revised  CBPYtab
 *      01.04.01 Osamu Sunohara (SONY): variables for Studio Profile
 *
 ***********************************************************HeaderEnd*********/

/************************    INCLUDE FILES    ********************************/

#ifndef _VLC_TABS_DEC_STUDIO_H_
#define _VLC_TABS_DEC_STUDIO_H_

#include "studio_vlc_table.p"

VLCtab studio_dc_lum_table[19] =
{
  /*v001225*/
  {0x0e, 6}, {0x06, 5}, {0x00, 4}, {0x02, 4}, {0x07, 3}, {0x05, 3}, {0x03, 3}, {0x02, 3},
  {0x04, 3}, {0x06, 3}, {0x01, 4}, {0x1e, 7}, {0x3e, 8}, {0x7e, 9}, {0x0fe,10}, {0x1fe,11},
  {0x3fe,12}, {0x7fe,13}, {0x7ff,13}
};

VLCtab studio_dc_chrom_table[19] =
{
  /*v001225*/
  {0x00, 4}, {0x02, 4}, {0x07, 3}, {0x05, 3}, {0x03, 3}, {0x02, 3}, {0x04, 3}, {0x06, 3},
  {0x01, 4}, {0x06, 5}, {0x0e, 6}, {0x1e, 7}, {0x3e, 8}, {0x7e, 9}, {0x0fe,10}, {0x1fe,11},
  {0x3fe,12}, {0x7fe,13}, {0x7ff,13}
};

VLCtab studio_group_table_def[32][32] =
{
  /* table no.0(first ac:eob) */
  {
    {0x0003, 4}, {0x0008, 4}, {0x0012, 5}, {0x001b, 6},
    {0x0034, 7}, {0x0035, 7}, {0x009f, 8}, {0x0000, 0}, 
    {0x0002, 4}, {0x004e, 7}, {0x013d, 9}, {0x04f2,11}, 
    {0x09e6,12}, {0x13ce,13}, {0x0000, 0}, {0x0000, 0}, 
    {0x0000, 0}, {0x0003, 2}, {0x0000, 3}, {0x0002, 3},
    {0x0005, 3}, {0x0007, 4}, {0x000c, 5}, {0x0026, 6}, 
    {0x0278,10}, {0x13cf,13}, {0x0000, 0}, {0x0000, 0}, 
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.1 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.2 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.3 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.4 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.5 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.6 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.7 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.8(zero_run) */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 1}, {0x0002, 2},
    {0x0006, 3}, {0x000e, 4}, {0x001e, 5}, {0x003e, 6},
    {0x007e, 7}, {0x007f, 7}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.9 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.10 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.11 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.12 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.13 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.14 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.15 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.16(zero_run+1) */
  {
    {0x0006, 3}, {0x0002, 3}, {0x0004, 3}, {0x0006, 4},
    {0x000e, 4}, {0x001f, 6}, {0x01e2,10}, {0x0000, 0},
    {0x000e, 5}, {0x001f, 5}, {0x003d, 7}, {0x00f0, 9},
    {0x1e3e,14}, {0x78ff,16}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 2}, {0x0005, 3}, {0x001e, 5},
    {0x0079, 8}, {0x03c6,11}, {0x078e,12}, {0x3c7e,15},
    {0x78fe,16}, {0x0f1e,13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.17(level=1) */
  {
    {0x0011, 5}, {0x0003, 3}, {0x0004, 4}, {0x000a, 4},
    {0x0016, 5}, {0x0101, 9}, {0x201a,14}, {0x0000, 0},
    {0x0009, 4}, {0x0017, 5}, {0x0041, 7}, {0x0200,10},
    {0x806f,16}, {0x806e,16}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 2}, {0x0003, 2}, {0x0005, 4},
    {0x0021, 6}, {0x0081, 8}, {0x0402,11}, {0x0807,12},
    {0x4036,15}, {0x100c,13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.18(level=2-3) */
  {
    {0x0046, 7}, {0x0006, 3}, {0x000e, 4}, {0x0022, 6},
    {0x0047, 7}, {0x03d7,10}, {0x3d6a,14}, {0x0000, 0},
    {0x0009, 4}, {0x001f, 5}, {0x007b, 7}, {0x01ea, 9},
    {0x7ad6,15}, {0x7ad7,15}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 2}, {0x0001, 2}, {0x0005, 3},
    {0x0010, 5}, {0x003c, 6}, {0x00f4, 8}, {0x07ac,11},
    {0x0f5b,12}, {0x1eb4, 13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.19(level=4-7) */
  {
    {0x0029,10}, {0x0002, 5}, {0x0004, 7}, {0x000b, 8},
    {0x0050,11}, {0x051c,15}, {0x051d,15}, {0x0000, 0},
    {0x0000, 5}, {0x0006, 7}, {0x002a,10}, {0x00a2,12},
    {0x0a3c,16}, {0x0a3d,16}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0003, 2}, {0x0001, 2}, {0x0002, 2},
    {0x0001, 3}, {0x0003, 5}, {0x0007, 7}, {0x002b,10},
    {0x051f,15}, {0x0146,13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.20(level=8-15) */
  {
    {0x061e,11}, {0x0031, 6}, {0x00c0, 8}, {0x030c,10},
    {0x0c3e,12}, {0x30ff,14}, {0x61fc,15}, {0x0000, 0},
    {0x000d, 4}, {0x00c1, 8}, {0x030e,10}, {0x061a,11},
    {0xc3fa,16}, {0xc3fb,16}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0001, 3}, {0x0000, 3}, {0x0001, 2},
    {0x0002, 2}, {0x0007, 3}, {0x0019, 5}, {0x00c2, 8},
    {0x061b,11}, {0x187e,13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.21(level=16-31) */
  {
    {0x00de,10}, {0x001a, 7}, {0x0064, 9}, {0x00dd,10},
    {0x01be,11}, {0x037e,12}, {0x1bfe,15}, {0x0000, 0},
    {0x0007, 5}, {0x0065, 9}, {0x0036, 8}, {0x0033, 8},
    {0x0dfe,14}, {0x1bff,15}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0002, 4}, {0x0000, 4}, {0x0003, 2},
    {0x0001, 2}, {0x0002, 2}, {0x0001, 4}, {0x0018, 7},
    {0x00dc,10}, {0x06fe,13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
  },
  /* table no.22(level=32-63) */
  {
    {0x0301,10}, {0x00c1, 8}, {0x0186, 9}, {0x030e,10},
    {0x030f,10}, {0x0c0b,12}, {0x6052,15}, {0x0000, 0},
    {0x0031, 6}, {0x0303,10}, {0x0604,11}, {0x00c2, 8},
    {0x3028,14}, {0x6053,15}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x000d, 4}, {0x0007, 3}, {0x0001, 3},
    {0x0002, 2}, {0x0001, 2}, {0x0000, 3}, {0x0019, 5},
    {0x0300,10}, {0x1815,13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.23(level=64-127) */
  {
    {0x12f8,15}, {0x0024, 8}, {0x0041/**/, 9}, {0x004a, 9},
    {0x012e,11}, {0x12f9,15}, {0x12fa,15}, {0x0000, 0},
    {0x0011, 7}, {0x0096,10}, {0x0013, 7}, {0x0021, 8},
    {0x025e,12}, {0x12fb,15}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0005, 5}, {0x0003, 4}, {0x0006, 3},
    {0x0000, 3}, {0x0002, 2}, {0x0001, 2}, {0x0007, 3},
    {0x0040, 9}, {0x04bf,13/**/}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.24(level=128-255) */
  {
    {0x0f6b,15}, {0x000c, 7}, {0x001a, 8}, {0x003c, 9},
    {0x007a,10}, {0x00f7,11}, {0x03db,13}, {0x0000, 0},
    {0x000e, 7}, {0x001b, 8}, {0x000d, 4}, {0x01ec,12},
    {0x07b4,14}, {0x0f6a,15}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 5}, {0x0001, 5}, {0x000c, 4},
    {0x0007, 3}, {0x0001, 3}, {0x0002, 2}, {0x0001, 2},
    {0x0002, 5}, {0x001f, 8}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.25(level=ESCAPE) */
  {
    {0x2c7b,15}, {0x0017, 6}, {0x0059, 8}, {0x02c6,11},
    {0x058a,12}, {0x0b1c,13}, {0x0b1f,13}, {0x0000, 0},
    {0x002d, 7}, {0x00b0, 9}, {0x058b,12}, {0x0b1d,13},
    {0x163c,14}, {0x2c7a,15}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0004, 4}, {0x0006, 4}, {0x000a, 5},
    {0x0007, 4}, {0x0003, 4}, {0x0002, 4}, {0x0000, 3},
    {0x0001, 1}, {0x02c4,11}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.26 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.27 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.28 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.29 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.30 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.31 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  }
};

VLCtab studio_group_table_inter_def[32][32] =
{
  /* table no.0(first ac:eob) */
  {
    {0x0000, 0/*never occur*/},

    {0x0007, 3}, {0x0003, 3}, {0x0000, 4}, {0x0005, 4}, 
    {0x0009, 5}, {0x001b, 5},

    {0x0000, 0}, 

    {0x0018, 5}, {0x0019, 5}, {0x006b, 7},
    {0x01a8, 9}, {0x06a6,11}, {0x1a9e,13},

    {0x0000, 0}, {0x0000, 0}, 
    {0x0000, 0}, {0x0002, 2}, {0x0001, 3}, {0x0001, 4},
    {0x0008, 5}, {0x0034, 6}, {0x00d5, 8}, {0x0352,10}, 
    {0x0d4e,12}, {0x1a9f,13}, {0x0000, 0}, {0x0000, 0}, 
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.1 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.2 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.3 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.4 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.5 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.6 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.7 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.8(zero_run) */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 1}, {0x0002, 2},
    {0x0006, 3}, {0x000e, 4}, {0x001e, 5}, {0x003e, 6},
    {0x007e, 7}, {0x007f, 7}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.9 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.10 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.11 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.12 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.13 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.14 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.15 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.16(zero_run+1) */
  {
    {0x0000, 3},

    {0x0004, 3}, {0x0002, 3}, {0x0003, 3}, {0x0002, 4},
    {0x0016, 5}, {0x0060, 9},

    {0x0000, 0},

    {0x0007, 5}, {0x0017, 5}, {0x000d, 6},
    {0x0031, 8}, {0x0186,11}, {0x0c3e,14},

    {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0003, 2}, {0x000a, 4}, {0x0019, 7},
    {0x00c2,10}, {0x030e,12}, {0x187e,15}, {0x30fe,16},
    {0x30ff,16}, {0x061e,13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.17(level=1) */
  {
    {0x0005, 4},

    {0x0001, 3}, {0x0006, 3}, {0x0000, 4}, {0x0004, 4},
    {0x003d, 6}, {0x00fa, 8},

    {0x0000, 0},

    {0x000e, 4}, {0x0003, 5}, {0x003c, 6},
    {0x003f, 6}, {0x03ee,10}, {0x0fbe,12},

    {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0002, 2}, {0x0003, 3}, {0x0002, 5},
    {0x007c, 7}, {0x01f6, 9}, {0x07de,11}, {0x3efe,14},
    {0x3eff,14}, {0x1f7e,13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.18(level=2-3) */
  {
    {0x0008, 6},

    {0x0005, 3}, {0x0000, 4}, {0x0009, 4}, {0x0005, 5},
    {0x0088, 8}, {0x0226,10},

    {0x0000, 0},

    {0x0003, 4}, {0x0010, 5}, {0x0023, 6},
    {0x0045, 7}, {0x089e,12}, {0x44fe,15},

    {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0001, 2}, {0x0003, 2}, {0x0001, 4},
    {0x0009, 6}, {0x0112, 9}, {0x044e,11}, {0x227e,14},
    {0x44ff,15}, {0x113e, 13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.19(level=4-7) */
  {
    {0x0017, 7},

    {0x000c, 4}, {0x0004, 5}, {0x000a, 6}, {0x0016, 7},
    {0x01a7, 9}, {0x069a,11},

    {0x0000, 0},

    {0x0007, 3}, {0x001b, 5}, {0x0068, 7},
    {0x00d2, 8}, {0x34da,14}, {0x69b6,15},

    {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0002, 2}, {0x0001, 2}, {0x0000, 3},
    {0x0003, 4}, {0x0035, 6}, {0x034c,10}, {0x0d37,12},
    {0x69b7,15}, {0x1a6c,13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.20(level=8-15) */
  {
    {0x006f, 7},

    {0x001a, 5}, {0x001e, 5}, {0x003f, 6}, {0x007c, 7},
    {0x0372,10}, {0x06e6,11},

    {0x0000, 0},

    {0x000c, 4}, {0x0036, 6}, {0x00dd, 8},
    {0x01b8, 9}, {0x373e,14}, {0x6e7f,15},

    {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0001, 3}, {0x0002, 2}, {0x0001, 2},
    {0x0000, 3}, {0x000e, 4}, {0x007d, 7}, {0x0dce,12},
    {0x6e7e,15}, {0x1b9e,13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.21(level=16-31) */
  {
    {0x0021, 8},

    {0x0009, 6}, {0x0011, 7}, {0x0020, 8}, {0x002f, 8},
    {0x00b9,10}, {0x02ea,12},

    {0x0000, 0},

    {0x0003, 4}, {0x0016, 7}, {0x00b8,10},
    {0x0174,11}, {0x175e,15}, {0x175f,15},

    {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0007, 3}, {0x0000, 3}, {0x0002, 2},
    {0x0001, 2}, {0x0006, 3}, {0x000a, 6}, {0x00bb,10},
    {0x0bae,14}, {0x05d6,13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
  },
  /* table no.22(level=32-63) */
  {
    {0x0033, 7},

    {0x0018, 6}, {0x0032, 7}, {0x0036, 7}, {0x006b, 8},
    {0x00d5, 9}, {0x01a9,10},

    {0x0000, 0},

    {0x0007, 4}, {0x0037, 7}, {0x0350,11},
    {0x1a8e,14}, {0x351e,15}, {0x351f,15},

    {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0002, 4}, {0x0002, 3}, {0x0000, 3},
    {0x0002, 2}, {0x0003, 2}, {0x0003, 4}, {0x0034, 7},
    {0x06a2,12}, {0x0d46,13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.23(level=64-127) */
  {
    {0x006c, 7},

    {0x000f, 4}, {0x0034, 6}, {0x0037, 6}, {0x006a, 7},
    {0x036c,10}, {0x01b7, 9},

    {0x0000, 0},

    {0x000c, 4}, {0x00d6, 8}, {0x00d7, 8},
    {0x06da,11}, {0x1b6f,13}, {0x1b6e,13},

    {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0005, 3}, {0x0003, 3}, {0x0002, 3},
    {0x0001, 3}, {0x0000, 3}, {0x0004, 3}, {0x000e, 4},
    {0x00da, 8}, {0x0db6,12}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.24(level=128-255) */
  {
    {0x062d,12},

    {0x000d, 5}, {0x0030, 7}, {0x00c4, 9}, {0x018a,10},
    {0x062f,12}, {0x18b0,14},

    {0x0000, 0},

    {0x0003, 4}, {0x0063, 8}, {0x062e,12},
    {0x3162,15}, {0x62c6,16}, {0x62c7,16},

    {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0005, 3}, {0x0000, 3}, {0x0003, 2},
    {0x0004, 3}, {0x0002, 4}, {0x0002, 3}, {0x0007, 4},
    {0x0019, 6}, {0x0c59,13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.25(level=ESCAPE) */
  {
    {0x0293,10},

    {0x014d, 9}, {0x0290,10}, {0x0291,10}, {0x0533,11},
    {0x0532,11}, {0x292e,14},

    {0x0000, 0},

    {0x000b, 4}, {0x0028, 6}, {0x0298,10},
    {0x0a4a,12}, {0x525e,15}, {0x525f,15},

    {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0004, 3}, {0x0003, 2}, {0x0001, 2},
    {0x0000, 2}, {0x00a5, 8}, {0x00a7, 8}, {0x0015, 5},
    {0x0524,11}, {0x1496,13}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.26 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.27 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.28 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.29 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.30 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  },
  /* table no.31 */
  {
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0},
    {0x0000, 0}, {0x0000, 0}, {0x0000, 0}, {0x0000, 0}
  }
};

#endif /* _VLC_TABS_DEC_STUDIO_H_ */
